using System;
using SimpleJSON;
public class Context
{
    public string FreeText { get; set; }
    public string Location { get; set; }
    public string Wearing { get; set; }

    public Context()
    {
        FreeText = "";
        Location = "";
        Wearing = "";
    }

    public Context(JSONClass contextJSON)
    {
        FreeText = contextJSON["FreeText"];
        Wearing = contextJSON["Wearing"];
        Location = contextJSON["Location"];
    }

    public JSONClass GetJSON()
    {
        JSONClass contextJSON = new JSONClass();
        contextJSON["FreeText"] = FreeText;
        contextJSON["Wearing"] = Wearing;
        contextJSON["Location"] = Location;

        return contextJSON;
    }

    public static string GetContextForDisplay(string context)
    {
        var currentContextTrimmed = context.Length < 350 ? context : context.Substring(0, 350) + " ...";
        if (string.IsNullOrEmpty(currentContextTrimmed))
            currentContextTrimmed = "Context is empty";

        return currentContextTrimmed;
    }
}
