using SimpleJSON;

public class Group
{
    public string Name;

    public Context Context { get; private set; }

    public Group(string name)
    {
        Name = name;
        Context = new Context();
    }

    public Group(JSONClass groupJSON)
    {
        Name = groupJSON["Name"];
        Context = new Context(groupJSON["Context"].AsObject);
    }

    public JSONClass GetJSON()
    {
        JSONClass groupJSON = new JSONClass();
        groupJSON["Name"] = Name;
        groupJSON["Context"] = Context.GetJSON();

        return groupJSON;
    }
}
