using System.Collections.Generic;
using UnityEngine;

public class FilterablePopupBuilder : UIBuilder<FilterablePopupBuilder>
{
    private string label;
    private JSONStorableString storable;
    private Vector2 location;
    private Vector2 size;

    public FilterablePopupBuilder(MVRScript script, List<UIDynamic> uiElements, string label, JSONStorableString storable) : base(script, uiElements)
    {
        this.label = label;
        this.storable = storable;
    }
    public FilterablePopupBuilder Location(Vector2 location)
    {
        this.location = location;
        return this;
    }
    public FilterablePopupBuilder Size(Vector2 size)
    {
        this.size = size;
        return this;
    }
    // public UIDynamic Build()
    // {
    //     var t = script.InstantiatePopup(script.UITransform);
    //     var uiDynamic = t.GetComponent<UIDynamicPopup>();
    //     uiDynamic.
    //     uiDynamic.label = label;
    //     return uiDynamic;



    //     var textInput = Utils.SetupTextInput(script, label, storable, rightSide, labelColor, fontBold);
    //     FinalizeBuild(textInput);
    //     var rectTransform = textInput.GetComponent<RectTransform>();
    //     if (location != null)
    //     {
    //         rectTransform.pivot = Vector2.zero;
    //         rectTransform.anchoredPosition = location;
    //     }
    //     if (size != null)
    //     {
    //         rectTransform.sizeDelta = size;
    //     }

    //     return textInput;
    // }
}
