using UnityEngine;
using UnityEngine.UI;

public abstract class UIExtention : UIPart
{

    public GameObject backDrop;

    protected UIExtention(ActionListManager script) : base(script)
    {
    }

    public void Init(Vector2 backDropOffsetMin, Vector2 backDropOffsetMax, int topBackdropHeight = 1318, int bottomBackdropHeight = -1306)
    {
        backDrop = DrawBackdrop("Backdrop", script.UITransform, backDropOffsetMin, backDropOffsetMax, new Color(0.4549019608f, 0.5960784314f, 0.8235294118f, 0.8f));
        var backDropTitle = DrawBackdrop("Backdrop Title", backDrop.transform, new Vector2(0, topBackdropHeight), new Vector2(0, 0), new Color(0.1333333333f, 0.1960784314f, 0.3215686275f, 1));
        var backDropBottom = DrawBackdrop("Backdrop Title", backDrop.transform, new Vector2(0, 0), new Vector2(0, bottomBackdropHeight), new Color(0.1764705882f, 0.2862745098f, 0.4470588235f, 1));
    }
}
